Skip to main content
GET
/
admin
/
v1
/
insights
List Insights
curl --request GET \
  --url https://api.example.com/admin/v1/insights
{
  "data": {
    "items": [
      {
        "insightId": 123,
        "userId": "<string>",
        "agentId": "<string>",
        "memoryId": "<string>",
        "type": "<string>",
        "scope": "<string>",
        "name": "<string>",
        "categories": [
          "<string>"
        ],
        "content": "<string>",
        "points": [
          {
            "pointId": "<string>",
            "type": "SUMMARY",
            "content": "<string>",
            "sourceItemIds": [
              "<string>"
            ],
            "sourcePointRefs": [
              {
                "insightId": 123,
                "pointId": "<string>"
              }
            ],
            "metadata": {}
          }
        ],
        "groupName": "<string>",
        "lastReasonedAt": "2023-11-07T05:31:56Z",
        "summaryEmbedding": [
          123
        ],
        "tier": "<string>",
        "parentInsightId": 123,
        "childInsightIds": [
          123
        ],
        "version": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "page": {
      "page": 123,
      "pageSize": 123,
      "totalItems": 123,
      "totalPages": 123,
      "hasPrevious": true,
      "hasNext": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Query Parameters

page
integer<int32>
default:1
Required range: x >= 1
pageSize
integer<int32>
default:20
Required range: 1 <= x <= 100
userId
string
agentId
string
scope
string
type
string
tier
string

Response

200 - */*

OK

data
object